# Binding data

To pass and bind simple data with the elements, follow the steps:

1. Click on the **Gallery**
2. Click on the `Property card`
3. Click on the `Change Data Binding`
4. Pass the corresponding **Data** for each of the **Custom Componen**ts.&#x20;
5. Click `Use Selected Binding` for saving.

{% @arcade/embed flowId="W1tBfHOyhfPBZvQ6y3GW" url="<https://app.arcade.software/share/W1tBfHOyhfPBZvQ6y3GW>" %}

To pass and bind data with the elements using **Functions**, follow the steps:

1. Click on the **Gallery**
2. Click on the `Property card`
3. Click on the `Change Data Binding`
4. Click on the `Set up with Formula` button
5. Click to search for the **formula** – `CONCAT`
6. Choose the fields: `first_name` and `last_name` – you want to concatenate: CONCAT(`first_name``, last_name`)
7. Click on the `Use selected binding` for saving it

{% @arcade/embed flowId="A60qQRej2ZicsofcqrDI" url="<https://app.arcade.software/share/A60qQRej2ZicsofcqrDI>" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.jetadmin.io/getting-started/pixel-perfect-app/binding-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
